Execute FHIR bundle operation

POST/fhir-provider/{fhir_provider_id}/fhir
RequiresBearerauthentication

Header parameters

Path parameters

fhir_provider_idstringrequired
Returns  
POSTRequest
# Get authentication token
PHENOML_TOKEN=$(curl -X POST "https://experiment.app.pheno.ml/v2/auth/token" \
  -u "$PHENOML_CLIENT_ID:$PHENOML_CLIENT_SECRET" \
  | jq -r '.access_token')

curl -X POST "https://experiment.app.pheno.ml/fhir-provider/550e8400-e29b-41d4-a716-446655440000/fhir" \
  -H "Authorization: Bearer $PHENOML_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "resourceType": "Bundle",
  "type": "transaction",
  "entry": [
    {
      "request": {
        "method": "POST",
        "url": "Patient"
      },
      "resource": {
        "resourceType": "Patient",
        "name": [
          {
            "family": "Doe",
            "given": [
              "John"
            ]
          }
        ]
      }
    },
    {
      "request": {
        "method": "POST",
        "url": "Observation"
      },
      "resource": {
        "resourceType": "Observation",
        "status": "final",
        "subject": {
          "reference": "Patient/123"
        }
      }
    }
  ]
}'
200 OKExample Response
{}